# Type alias ServiceDeps

ServiceDeps: {
dbInstance$: Observable<default | undefined>;
ipfsInstance$: Observable<CybIpfsNode | undefined>;
params$: Observable<SyncServiceParams> | undefined;
waitForParticleResolve?: FetchIpfsFunc;
}

#### Type declaration

- ##### dbInstance$: Observable<default | undefined>

- ##### ipfsInstance$: Observable<CybIpfsNode | undefined>

- ##### params$: Observable<SyncServiceParams> | undefined

- ##### `Optional` waitForParticleResolve?: FetchIpfsFunc

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/types.ts:6